onEvent('fluid.registry', (event) => {
    const generalFluids = [
        {
            type: 'thick',
            id: 'molten_glowstone',
            texture: '0xFFBC5E',
            display: 'Molten Glowstone'
        },
        {
            type: 'thin',
            id: 'soul_essence',
            texture: '0x3DD6E1',
            display: 'Soul Essence'
        },
        {
            type: 'thick',
            id: 'industrial_adhesives',
            texture: '0x97897D',
            display: 'Industrial Adhesives'
        },
        {
            type: 'thin',
            id: 'otherworld_plantoil',
            texture: '0x715090',
            display: 'Otherworld Plantoil'
        },
        {
            type: 'thick',
            id: 'asphalt',
            texture: '0x303030',
            display: 'Asphalt'
        },
        {
            type: 'thin',
            id: 'witch_water',
            texture: '0x340E64',
            display: 'Witch Water'
        }
    ];

    generalFluids.forEach((fluid) => {
        if (fluid.type == 'thick') {
            event.create(fluid.id).textureThick(fluid.texture).bucketColor(fluid.texture).displayName(fluid.display);
        } else if (fluid.type == 'thin') {
            event.create(fluid.id).textureThin(fluid.texture).bucketColor(fluid.texture).displayName(fluid.display);
        } /*
        else if (fluid.type == 'custom') {
            event.create(fluid.id).displayName(fluid.display).textureStill(fluid.still).textureFlowing(fluid.flowing).bucketColor(fluid.color)
        }*/
    });
});
